import request from '@/utils/request'

// 查询wechat_transfer列表
export function listTransfer(query) {
  return request({
    url: '/system/transfer/list',
    method: 'get',
    params: query
  })
}

// 查询wechat_transfer详细
export function getTransfer(id) {
  return request({
    url: '/system/transfer/' + id,
    method: 'get'
  })
}
getUserDataList () {
  getUserDataList().then(response => {
    this.userDataList = response.data
  })
},



// 新增wechat_transfer
export function addTransfer(data) {
  return request({
    url: '/system/transfer',
    method: 'post',
    data: data
  })
}

// 修改wechat_transfer
export function updateTransfer(data) {
  return request({
    url: '/system/transfer',
    method: 'put',
    data: data
  })
}

// 删除wechat_transfer
export function delTransfer(id) {
  return request({
    url: '/system/transfer/' + id,
    method: 'delete'
  })
}
